Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class DBConnectionParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.DBConnectionParams

    public class DBConnectionParams

extends Object

Represents the parameters for a database connection established using JDBC.

Field Summary
`protected String` | `jdbcDriverClass`
`protected String` | `jdbcURI`
`protected String` | `jndiDataSourceName`
`protected PropertiesParams` | `properties`

Constructor Summary
`DBConnectionParams()`

Method Summary
`String` | `getJdbcDriverClass()` Gets the value of the jdbcDriverClass property.
`String` | `getJdbcURI()` Gets the value of the jdbcURI property.
`String` | `getJndiDataSourceName()` Gets the value of the jndiDataSourceName property.
`PropertiesParams` | `getProperties()` Gets the value of the properties property.
`boolean` | `isSetJdbcDriverClass()`
`boolean` | `isSetJdbcURI()`
`boolean` | `isSetJndiDataSourceName()`
`boolean` | `isSetProperties()`
`void` | `setJdbcDriverClass(String value)` Sets the value of the jdbcDriverClass property.
`void` | `setJdbcURI(String value)` Sets the value of the jdbcURI property.
`void` | `setJndiDataSourceName(String value)` Sets the value of the jndiDataSourceName property.
`void` | `setProperties(PropertiesParams value)` Sets the value of the properties property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected PropertiesParams properties

### jndiDataSourceName

    protected String jndiDataSourceName

### jdbcDriverClass

    protected String jdbcDriverClass

### jdbcURI

    protected String jdbcURI

Constructor Detail

### DBConnectionParams

    public DBConnectionParams()

Method Detail

### getProperties

    public PropertiesParams getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesParams`

### setProperties

    public void setProperties(PropertiesParams value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetProperties

    public boolean isSetProperties()

### getJndiDataSourceName

    public String getJndiDataSourceName()

  Gets the value of the jndiDataSourceName property.

  Returns:
    possible object is `String`

### setJndiDataSourceName

    public void setJndiDataSourceName(String value)

  Sets the value of the jndiDataSourceName property.

  Parameters:
    `value` - allowed object is `String`

### isSetJndiDataSourceName

    public boolean isSetJndiDataSourceName()

### getJdbcDriverClass

    public String getJdbcDriverClass()

  Gets the value of the jdbcDriverClass property.

  Returns:
    possible object is `String`

### setJdbcDriverClass

    public void setJdbcDriverClass(String value)

  Sets the value of the jdbcDriverClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetJdbcDriverClass

    public boolean isSetJdbcDriverClass()

### getJdbcURI

    public String getJdbcURI()

  Gets the value of the jdbcURI property.

  Returns:
    possible object is `String`

### setJdbcURI

    public void setJdbcURI(String value)

  Sets the value of the jdbcURI property.

  Parameters:
    `value` - allowed object is `String`

### isSetJdbcURI

    public boolean isSetJdbcURI()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.